Bug 1760827 - discrepancy between topology, sidebar pod list, and workload pod list
Summary: discrepancy between topology, sidebar pod list, and workload pod list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: cvogt
QA Contact: Ruchir Garg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 12:28 UTC by spathak@redhat.com
Modified: 2020-01-23 11:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Topology data model was originally a subset of the project workload details page. As more feature were added, topology grew to be similar but did not share the same code. As use cases became more complex, certain edge cases were being missed in the new code. Consequence: In certain situations, the pod list when viewed from the topology was incorrect. Fix: Code logic is now shared between the topology and project details workloads page. Result: Whether viewing the sidebar pod list from topology or from the project details workloads list, the pod details will be identical.
Clone Of:
Environment:
Last Closed: 2020-01-23 11:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Topology view (76.25 KB, image/png)
2019-10-11 16:50 UTC, spathak@redhat.com
no flags Details
workload pod list (154.65 KB, image/png)
2019-10-11 17:48 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:07:40 UTC

Description spathak@redhat.com 2019-10-11 12:28:18 UTC
Description of problem:
The following DC has two pods associated. One of which is in the `Failed` state and doesn't show up in the workload pod lists with the default filters as `Failed` are hidden.

The topology, however, does not show any pods in any state. Instead, it shows a visual depicting there are zero pods.

Comment 1 spathak@redhat.com 2019-10-11 16:50:37 UTC
Created attachment 1624790 [details]
Topology view

Comment 2 spathak@redhat.com 2019-10-11 17:48:04 UTC
Created attachment 1624818 [details]
workload pod list

Comment 3 cvogt 2019-11-05 15:31:44 UTC
Fixed indirectly.
We did some work to update the utilities used for populating the topology data model. With this change, the topology and overview pages share the same logic.

Comment 4 cvogt 2019-11-23 01:27:46 UTC
Marking as verified by ariroy@redhat.com
https://jira.coreos.com/browse/ODC-1528

Comment 6 errata-xmlrpc 2020-01-23 11:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.